org.apache.xmlbeans.impl.store

## Class CharUtil.CharIterator

- java.lang.Object
- - org.apache.xmlbeans.impl.store.CharUtil.CharIterator

- Enclosing class:
    CharUtil

      public static final class CharUtil.CharIterator
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CharIterator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `boolean` | `hasPrev()`
    `void` | `init(Object src, int off, int cch)`
    `void` | `init(Object src, int off, int cch, int startPos)`
    `void` | `movePos(int newPos)`
    `char` | `next()`
    `char` | `prev()`
    `void` | `release()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CharIterator

          public CharIterator()

  - ### Method Detail

    - #### init

          public void init(Object src,
                           int off,
                           int cch)

    - #### init

          public void init(Object src,
                           int off,
                           int cch,
                           int startPos)

    - #### release

          public void release()

    - #### hasNext

          public boolean hasNext()

    - #### hasPrev

          public boolean hasPrev()

    - #### next

          public char next()

    - #### prev

          public char prev()

    - #### movePos

          public void movePos(int newPos)